<?xml version="1.0" encoding="utf-8"?>
<extension type="component" version="4.0" method="upgrade">

	<name>leaflet</name>
	<!-- The following elements are optional and free of formatting constraints -->
	<creationDate>January 2018</creationDate>
	<author>Digitanie</author>
    <copyright>Digitanie</copyright>
	<authorEmail>john.doe@example.org</authorEmail>
	<authorUrl>http://www.example.org</authorUrl>
	<license>License Info</license>
	<!--  The version string is recorded in the components table -->
	<version>0.0.2</version>
	<!-- The description is optional and defaults to the name -->
	<description>leaflet joomla component</description>

	<update> <!-- Runs on update; New since J2.5 -->
		<schemas>
			<schemapath type="mysql">sql/updates/mysql</schemapath>
		</schemas>
	</update>

	<!-- code format : Digitanie\Component\Leaflet -->

    <namespace path="src/">Digitanie\Component\Leaflet</namespace>

	<!-- Site Main File Copy Section -->
	<!-- Note the folder attribute: This attribute describes the folder
		to copy FROM in the package to install therefore files copied
		in this section are copied from /site/ in the package -->
	<files folder="site/">
		<file>leaflet.php</file>
		<folder>assets</folder>
		<folder>services</folder>
        <folder>language</folder>
        <folder>src</folder>
        <folder>tmpl</folder>
	</files>

	<languages>
        <language tag="fr-FR">site/language/fr-FR/fr-FR.com_leaflet.ini</language>
    </languages>

	<media destination="com_leaflet" folder="media">
		<filename>index.html</filename>
		<folder>js</folder>
	</media>

	<administration>
		<!-- Administration Menu Section -->
		<menu link="index.php?option=com_leaflet">Leaflet</menu>
		<!-- Administration Main File Copy Section -->
		<!-- Note the folder attribute: This attribute describes the folder
			to copy FROM in the package to install therefore files copied
			in this section are copied from /admin/ in the package -->
		<files folder="admin/">
			<!-- Admin Main File Copy Section -->
			<folder>language</folder>
			<folder>services</folder>
            <folder>src</folder>
            <folder>tmpl</folder>
			<!-- SQL files section -->
			<folder>sql</folder>
		</files>

		<languages>
            <language tag="fr-FR">admin/language/fr-FR/fr-FR.com_leaflet.ini</language>
            <language tag="fr-FR">admin/language/fr-FR/fr-FR.com_leaflet.sys.ini</language>
        </languages>
	</administration>

</extension>
